#!/bin/sh

name="lftp"
title="lftp"
package="lftp"
version="2.6.4"
build="1"
noarch="n"
build_info="Standard build."

info="Sophisticated command line based FTP client. "
desc="lftp is a sophisticated command line based FTP client. It has
a multithreaded design allowing you to issue and execute
multiple commands simultaneosly or in the background. It also
features mirroring capabilities and will reconnect and
continue transfers in the event of a disconnection. Also, if
you quit the program while transfers are still in progress,
it will switch to nohup mode and finish the transfers in the
background. HTTP protocol and FTP over HTTP proxy are
supported. Version 2.3.0 includes HTTPS and FTP over SSL
support."
category="net/client/ftp"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="ABOUT-NLS,BUGS,COPYING,ChangeLog,FAQ,FEATURES,INSTALL,MIRRORS,NEWS,README*,THANKS,TODO"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source ftp://lftp.yar.ru/lftp/$name-$version.tar.bz2

configure_option --prefix=/usr

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

mv $pkg_main/etc/lftp.conf $pkg_main/etc/lftp.conf.new

make_docs

make_package main

clean_up

# $Log: lftp.builder,v $
# Revision 1.4  2003/01/16 22:12:30  swiergot
# - Build 1.
#
# Revision 1.3  2003/01/16 22:02:54  swiergot
# - Added a postinst script shamelessly stolen from Slackware.
#
# Revision 1.2  2003/01/16 21:12:56  swiergot
# - Fixed an URL to the source (FTP protocol, not HTTP).
#
# Revision 1.1  2003/01/16 21:01:12  swiergot
# - Version 2.6.4.
#
